FC_REMOTE_PORT_ROLEC(9)

NAME
fc_remote_port_rolechg - notifies the fc transport that the roles on a remote may have changed.

SYNOPSIS

void fc_remote_port_rolechg(struct fc_rport * rport, u32 roles);

ARGUMENTS

rport
    The remote port that changed.

roles
    New roles for this port.

DESCRIPTION

The LLDD calls this routine to notify the transport that the roles on a remote port may have changed. The largest effect of this is if a port now becomes a FCP Target, it must be allocated a scsi target id. If the port is no longer a FCP target, any scsi target id value assigned to it will persist in case the role changes back to include FCP Target. No changes in the scsi midlayer will be invoked if the role changes (in the expectation that the role will be resumed. If it doesn't normal error processing will take place).

Should not be called from interrupt context.

NOTES

This routine assumes no locks are held on entry.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT